summaryrefslogtreecommitdiff
path: root/install-info/tests/ii-0052-test
diff options
context:
space:
mode:
Diffstat (limited to 'install-info/tests/ii-0052-test')
-rwxr-xr-xinstall-info/tests/ii-0052-test30
1 files changed, 30 insertions, 0 deletions
diff --git a/install-info/tests/ii-0052-test b/install-info/tests/ii-0052-test
new file mode 100755
index 0000000..9cca6c0
--- /dev/null
+++ b/install-info/tests/ii-0052-test
@@ -0,0 +1,30 @@
+#!/bin/sh
+# This file is free software; as a special exception the author gives
+# unlimited permission to copy and/or distribute it, with or without
+# modifications, as long as this notice is preserved.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
+# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+
+. ./defs || exit 1
+
+outputdirfile=`mktemp ii52-XXXXXXXX`
+cp ${testdir}/ii-0052-input-dir-file $outputdirfile
+if [ "x$?" != "x0" ]; then
+ exit 1
+fi
+
+# Allow periods in the node name too, e.g., "config.status Invocation".
+# Report from Ulrich Mueller, 7 May 2008 01:56:38.
+${install_info} ${testdir}/ii-0052-input-info-file $outputdirfile
+retval=$?
+if [ "x$retval" != "x0" ]; then
+ exit $retval
+fi
+
+diff ${testdir}/ii-0052-expected-dir-file $outputdirfile
+retval=$?
+
+rm -f $outputdirfile
+exit $retval